Mailinglist Archive: opensuse (3337 mails)

< Previous Next >
Re: [SLE] help ! KDevelop lacks dependencies, and fails to execute Python Qt applications!
  • From: Stephen Boddy <stephen.boddy@xxxxxxxxxxxxxx>
  • Date: Wed, 19 Apr 2006 15:05:13 +0100
  • Message-id: <200604191505.13630.stephen.boddy@xxxxxxxxxxxxxx>
On Wednesday 19 April 2006 14:07, Alexey Eremenko wrote:
> KDevelop is able to generate simple Python Qt GUI application but when I
> try to run it - it fails because some obscure module is non-existent.
>
> The module's name (as KDevelop suggests) is: "documentdetails".
> However no such rpm was found on SUSE downloaded DVD.
>
> To reproduce the bug:
> 1) install SUSE Linux 10.0 w/ KDevelop
> 2) In KDevelop, go to project menu->new project->python->python Qt
> Application->execute
>
> ==============================================
> questions:
>
> 1) What rpm needs to be installed to make it work ?
>
> 2) Is this bug appears in SUSE Linux 10.1 ?
>
> P.S. bug filled as :
> https://bugzilla.novell.com/show_bug.cgi?id=167587

I don't know how good KDevelop is meant to be for Python, but try Eric from:
http://www.die-offenbachs.de/detlev/eric3.html
Way cool for editing Python projects, because it's actually written in Python,
and is specifically for Python.
--
Steve Boddy

< Previous Next >
References